Skip to main content
GET
Load Artifact

Path Parameters

app_name
string
required
user_id
string
required
session_id
string
required
artifact_name
string
required

Query Parameters

version
integer | null

Response

Part · object | null

Successful Response

A datatype containing media content.

Exactly one field within a Part should be set, representing the specific type of content being conveyed. Using multiple fields within the same Part instance is considered invalid.

mediaResolution
PartMediaResolution · object | null

Media resolution for the input media.

codeExecutionResult
CodeExecutionResult · object | null

Optional. The result of executing the ExecutableCode.

executableCode
ExecutableCode · object | null

Optional. Code generated by the model that is intended to be executed.

fileData
FileData · object | null

Optional. The URI-based data of the part. This can be used to include files from Google Cloud Storage.

functionCall
FunctionCall · object | null

Optional. A predicted function call returned from the model. This contains the name of the function to call and the arguments to pass to the function.

functionResponse
FunctionResponse · object | null

Optional. The result of a function call. This is used to provide the model with the result of a function call that it predicted.

inlineData
Blob · object | null

Optional. The inline data content of the part. This can be used to include images, audio, or video in a request.

text
string | null

Optional. The text content of the part. When sent from the VSCode Gemini Code Assist extension, references to @mentioned items will be converted to markdown boldface text. For example @my-repo will be converted to and sent as **my-repo** by the IDE agent.

thought
boolean | null

Optional. Indicates whether the part represents the model's thought process or reasoning.

thoughtSignature
string | null

Optional. An opaque signature for the thought so it can be reused in subsequent requests.

videoMetadata
VideoMetadata · object | null

Optional. Video metadata. The metadata should only be specified while the video data is presented in inline_data or file_data.

toolCall
ToolCall · object | null

Server-side tool call. This field is populated when the model predicts a tool invocation that should be executed on the server. The client is expected to echo this message back to the API.

toolResponse
ToolResponse · object | null

The output from a server-side ToolCall execution. This field is populated by the client with the results of executing the corresponding ToolCall.

partMetadata
Partmetadata · object | null

Custom metadata associated with the Part. Agents using genai.Part as content representation may need to keep track of the additional information. For example it can be name of a file/source from which the Part originates or a way to multiplex multiple Part streams. This field is not supported in Vertex AI.

audioTranscription
Transcription · object | null

Output only. The transcription of the audio part.